2019-10-16 14:13 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001079FSSCPmultiplayerpublic2007-10-17 21:26
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001079: Double servers and high ping when playing across lan
DescriptionSetting up a standalone server on a computer on a LAN results in the server showing up twice in the list. Now I could see why this would happen due to multiple IP addresses. The strange part is the ping to both servers is usually very high. For instance tonight I was trying it and ping to another server was around 70. Ping to my own server was over 500 on both. Note they were not the same ping.
Additional Information2 DSL lines and routers. One server on each router. Machines also on private gigabit network. Ping at command prompt across private network <1ms. Ping out to internet and back to standalone server machine 32ms.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006783

taylor (administrator)

If you had FS2NetD enabled on the client then it would probably show both FS2NetD registered servers and LAN broadcast servers. So that would create the problem that you saw. If you want to play via LAN then you need to disable FS2NetD on the client.

I'm not sure if we should consider that a bug though. I'll have to look over the code and see what's going to make sure it's actually doing what it's supposed to do.

Not sure about the ping problem, I'll have to revist that later.

~0006784

FUBAR-BDHR (developer)

Well the reason I wanted to set it up like this was so I could leave a dedicated server up but still be able to join it from another computer. I know I've seen this done in other games. I remember some RTCW games where the server admin would join with a ping of 2. Probably just something they never thought about when they made FS2. I know I tried this one time with the original but never was able to get it to work. That was years ago but I don't remember the 2 servers showing up part. When I finally got DSL it was right about the time PXO went off line so I didn't get much time to figure it out.

As far as the ping goes with 2 servers showing you would think that one would have the ping over the lan and the other over the wan but then again this is FS2.

~0006785

FUBAR-BDHR (developer)

Last edited: 2006-10-03 01:05

Found a new twist to the situation. If you look at the double_server.jpg you will see I put up 2 standalone servers. I then started FS2 on another machine and went to look at the servers. If you look at the one calle FUBAR's BDHR Bar & Grill you can see the high pings. Now the other server does not have them. The difference? The Bar Brawl one is on the same router as the computer pulling up the list. The Bar & Grill one is on the other router. Leave it to me to find even more weirdness in an already weird situation.

Forgot this is with the 3.6.9 rc7dot8 posted on Hard-Light.

edited on: 10-03-06 01:05

~0006804

FUBAR-BDHR (developer)

Checked with someone that was using server today. They had a ping of around 90. My ping to my own server was >1.

~0006948

taylor (administrator)

Just marking as feedback those bugs which should either be fixed in the next available build from me, or need to be tested as fixed in the next available build.

(There are so many new bugs right now, it's easier for me to keep up with the fixed or almost-fixed bugs this way.)

~0007334

FUBAR-BDHR (developer)

Did some testing on this with the RC8 build. Pings seem fine now at least on the server selection screen. Still showing 2 copies of server on XP player ME host but only 1 on XP player XP host.

~0008564

taylor (administrator)

Please double-check it with this build:
http://www.hard-light.net/forums/index.php/topic,49939.0.html

The problem should be resolved, but I want to make sure before I actually mark this as fixed (the code is now in CVS).

~0008574

taylor (administrator)

Assuming that this is:

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-10-02 23:09 FUBAR-BDHR New Issue
2006-10-02 23:34 taylor Note Added: 0006783
2006-10-02 23:34 taylor Status new => assigned
2006-10-02 23:34 taylor Assigned To => taylor
2006-10-03 00:44 FUBAR-BDHR Note Added: 0006784
2006-10-03 00:58 FUBAR-BDHR File Added: double_server.jpg
2006-10-03 01:03 FUBAR-BDHR Note Added: 0006785
2006-10-03 01:05 FUBAR-BDHR Note Edited: 0006785
2006-10-04 11:31 Goober5000 Category --------- => multiplayer
2006-10-05 00:01 FUBAR-BDHR Note Added: 0006804
2006-10-21 00:31 taylor Note Added: 0006948
2006-10-21 00:31 taylor Status assigned => feedback
2006-12-27 16:48 FUBAR-BDHR Note Added: 0007334
2007-10-15 07:10 taylor Note Added: 0008564
2007-10-17 21:26 taylor Status feedback => resolved
2007-10-17 21:26 taylor Fixed in Version => 3.6.10
2007-10-17 21:26 taylor Resolution open => fixed
2007-10-17 21:26 taylor Note Added: 0008574
+Issue History